/*
  +----------------------------------------------------------------------+
  | Hidef                                                                |
  +----------------------------------------------------------------------+
  | Copyright (c) 2007 The PHP Group                                     |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.01 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_01.txt                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Authors: Gopal Vijayaraghavan <gopalv@php.net>                       |
  +----------------------------------------------------------------------+
*/

/* $Id: hidef.h,v 1.3 2007/02/25 21:47:16 pajoye Exp $ */

#ifndef PHP_HIDEF_H
#define PHP_HIDEF_H

extern zend_module_entry hidef_module_entry;
#define phpext_hidef_ptr &hidef_module_entry

#ifdef PHP_WIN32
#define PHP_HIDEF_API __declspec(dllexport)
#else
#define PHP_HIDEF_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(hidef);
PHP_MSHUTDOWN_FUNCTION(hidef);
PHP_MINFO_FUNCTION(hidef);

#ifdef ZTS
#define HIDEF_G(v) TSRMG(hidef_globals_id, zend_hidef_globals *, v)
#else
#define HIDEF_G(v) (hidef_globals.v)
#endif

#endif	/* PHP_HIDEF_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
